# 
# Copyright (C) 1996-2001 LAAS/CNRS 
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 
#    - Redistributions of source code must retain the above copyright
#      notice, this list of conditions and the following disclaimer.
#    - Redistributions in binary form must reproduce the above
#      copyright notice, this list of conditions and the following
#      disclaimer in the documentation and/or other materials provided
#      with the distribution.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
# COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
# ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
# POSSIBILITY OF SUCH DAMAGE.
# 
# $LAAS: models.tcl,v 1.10 2003/02/09 16:31:29 matthieu Exp $
#----------------------------------------------------------------------
#
# Modeles des robots et des differents objets affichables
#
# Le repere est le repere "grande salle"
#
#----------------------------------------------------------------------
package provide Gdhe::models 1.0

namespace eval Gdhe::models {
    variable test

    namespace export init


    proc init {} {
	global robotType 
	
	set robotType(0) { hilare2 unload }
	set robotType(1) { hilare2 load }
	set robotType(2) { h2bis unload }
	set robotType(3) { h2bis load }
	set robotType(4) { junior unload }
	set robotType(5) { junior load }

	set platformType(0) {h2_platform 0}
	set platformType(1) {h2_platform 0}
	set platformType(2) {arm 30 40 150 0 0 0}
	set platformType(3) {arm 40 40 150 0 0 0}
	set platformType(4) {junior_platform 0}
	set platformType(5) {junior_platform 0}
    }
}

