/*
 * Copyright (C) 1996-2003 LAAS/CNRS 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *    - Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *    - Redistributions in binary form must reproduce the above
 *      copyright notice, this list of conditions and the following
 *      disclaimer in the documentation and/or other materials provided
 *      with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 * CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
 * ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 * POSSIBILITY OF SUCH DAMAGE.
 *
 */
#include "config.h"
__RCSID("$LAAS: global.c,v 1.12 2004/08/25 12:50:27 matthieu Exp $");

#include <tcl.h>
#include "global.h"

/* H-table des positions des differentes fenetres */
Tcl_HashTable *posTable;


float light_position[8][4];
int light_enabled[8] = { 0, 0, 0, 0, 0, 0, 0, 0};
int enable_lighting = 1;

/* Index of font display lists */
unsigned int FontBase = 0;

/* Reaffiche apres reception d'une requete */
int auto_redisplay = 1;

/* taille de l'environnement */
double xmin=99999, ymin=99999, zmin=99999, 
    xmax=-99999, ymax=-99999, zmax=-99999;

/* Couleur du fond */
double backgroundColor[4] = { 0.0, 0.0, 0.0, 1.0 };


int socket_serveur;

void *tclInterp;

/* Objet vide Tcl */
Tcl_Obj *nullObj = NULL;
